Package com.treemap.swing.tagcloud

# Class SwingTagCloudAlgorithm

java.lang.Object
com.treemap.AbstractAlgorithm
com.treemap.tagcloud.AbstractTagCloudAlgorithm<Font>
com.treemap.swing.tagcloud.SwingTagCloudAlgorithm

All Implemented Interfaces:
  `Algorithm`, `TagCloudAlgorithm`

public class SwingTagCloudAlgorithm extends AbstractTagCloudAlgorithm<Font>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface com.treemap.tagcloud.TagCloudAlgorithm

  `TagCloudAlgorithm.OrientationMode, TagCloudAlgorithm.Spiral`

- ## Field Summary

  ### Fields inherited from class com.treemap.tagcloud.AbstractTagCloudAlgorithm

  `PROPERTY_FONT, PROPERTY_ORIENTATIONMODE, PROPERTY_SPIRAL`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SwingTagCloudAlgorithm()`
  `SwingTagCloudAlgorithm(TagCloudAlgorithm.OrientationMode orientationMode, TagCloudAlgorithm.Spiral spiral, com.macrofocus.igraphics.CPFont<Font> font)`

- ## Method Summary

  ### Methods inherited from class com.treemap.tagcloud.AbstractTagCloudAlgorithm

  `breadthFirstLayout, getFont, getMaxTags, getnSubdivisions, getOrientationMode, getProperties, getShape, getSpiral, isCompatible, isRenderingLeafLabelsSupported, isRenderingParentLabelSupported, isSpaceFilling, newWordIntersectsPlacedWords, setMaxTags, setnSubdivisions, toString`

  ### Methods inherited from class com.treemap.AbstractAlgorithm

  `depthFirstLayout, finishLayout, isChildContained, isColorParent, iterator, startLayout, sum`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface com.treemap.Algorithm

  `depthFirstLayout, finishLayout, isChildContained, isColorParent, iterator, startLayout`

- ## Constructor Details

  - ### SwingTagCloudAlgorithm

    public SwingTagCloudAlgorithm()

  - ### SwingTagCloudAlgorithm

    public SwingTagCloudAlgorithm(TagCloudAlgorithm.OrientationMode orientationMode, TagCloudAlgorithm.Spiral spiral, com.macrofocus.igraphics.CPFont<Font> font)